# Biopolymers with NCAAs in the OpenFF Toolkit

[![Binder](https://mybinder.org/badge_logo.svg)](https://mybinder.org/v2/gist/Yoshanuikabundi/66007cb9966b1455a259baaf7cd7e7c3/HEAD)

This notebook demonstrates loading and parametrizing biopolymers with the OpenFF Toolkit, including a preview of support for a non-canonical amino acid. We'll introduce the Toolkit's new biopolymer support, and then demonstrate a way to apply a post-translational modification. We'll look at optimizing charge generation by transferring charges generated from a simpler molecule to our new peptide, and then simulate it in OpenMM!

This notebook uses an experimental combination of force fields, and NCAA/PTM support is preliminary. Be careful using this code in production, and consider waiting for the Rosemary force field and dedicated API points for new amino acid residues.

## Installation

This notebook is distributed with a Conda environment file. To install the dependencies to a temporary environment and run Jupyter from within this environment:

```shell
conda env create --prefix ./env --file environment.yml
conda run --prefix ./env --no-capture-output jupyter notebook ncaa_parametrization.ipynb
```

If `environment.yml` fails to solve, or the notebook doesn't run, the exact environment used to develop the notebook can be found in `environment-solved.yml`, though this may not work on all systems (especially those that do not use Linux).

The environment includes OpenEye for faster charge generation, but the notebook runs fine without it if you don't have access to a license.

## Further reading

For more information, check out our docs at <https://docs.openforcefield.org> or contact <support@openforcefield.org>.